package com.example.innovlabs.ex_listview;

import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.widget.ImageView;
import android.widget.TextView;

public class ElementActivity extends AppCompatActivity {

public static final String EXTRA_ELEMENTNO = "elementNO";

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_element);

        int elementNo = (Integer)getIntent().getExtras().get(EXTRA_ELEMENTNO);
        Element element= Element.preciousMetals[elementNo];


        ImageView photo = (ImageView)findViewById(R.id.photo);
        photo.setImageResource(element.getImageId());
        photo.setContentDescription(element.getName());


        TextView name = (TextView)findViewById(R.id.name);
        name.setText(element.getName());


        TextView description = (TextView)findViewById(R.id.description);
        description.setText(element.getDescription());
    }
}

