package com.example.innovlabs.ex_listview;

import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ListView;

public class ExListActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_list);

        ListView listView = (ListView)findViewById(R.id.list_elements);

        //OnItemClickListener jest klasą zagnieżdżoną umieszczaną wewnątrz klasy AdapterView
        AdapterView.OnItemClickListener itemClickListener = new AdapterView.OnItemClickListener() {
            @Override
            public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
                if(position == 0) {
                    Intent intent = new Intent(ExListActivity.this, ElementCategoryActivity.class);
                    startActivity(intent);
                }
            }
        };

        listView.setOnItemClickListener(itemClickListener);
    }
}
