package com.example.innovlabs.ex_listview;

public class Element {
    private String name;
    private int atomicNumber;
    private String description;
    private int imageId;

    //tablica obiektów klasy Element
    public static final Element[] preciousMetals = {
            new Element("Gold",79,"Au",R.drawable.gold),
            new Element("Silver",47,"Ag",R.drawable.silver),
            new Element("Platinum",78,"Pt",R.drawable.platinum)

    };

    //konstruktor klasy Element
    private Element(String name, int atomicNumber, String description, int imageId) {
        this.name = name;
        this.atomicNumber = atomicNumber;
        this.description = description;
        this.imageId = imageId;
    }

    public String getDescription() {
        return description;
    }

    public String getName() {
        return name;
    }

    public int getAtomicNumber() {
        return atomicNumber;
    }

    public int getImageId() {
        return imageId;
    }

    @Override
    public String toString() {
        return this.name;
    }
}
