package com.example.innovlabs.ex_listview;

import android.app.ListActivity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.ListView;

public class ElementCategoryActivity extends ListActivity {

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        ListView preciousMetals = getListView();

        ArrayAdapter<Element> listAdapter = new ArrayAdapter<Element>(
                this,
                android.R.layout.simple_list_item_1,
                Element.preciousMetals);

    preciousMetals.setAdapter(listAdapter);
    }

    //klasa ListActivity domyślnie implementuje listener
    @Override
    public void onListItemClick(ListView listView,
                                View itemView,
                                int position,
                                long id) {
        Intent intent = new Intent(ElementCategoryActivity.this, ElementActivity.class);
        intent.putExtra(ElementActivity.EXTRA_ELEMENTNO, (int) id);
        startActivity(intent);
    }
}

